Buongiorno, scrivo dal mio Asus N551JX con Ubuntu 16.04, ieri sera dopo che mi è arrivata la notifica sulla presenza di nuovi aggiornamenti, ho provato ad aggiornare, ma sulla barra superiore è spuntato il simbolo di "stop" (non è la prima volta che mi succede) e cliccandovi sopra compare un menù a tendina dove c'è scritto: "Si è verificato un errore. Per ulteriori informazioni sull'errore avviare il gestore pacchetti tramite il menù richiamabile con un clic del tasto destro del mouse, oppure dare il comando apt-get da terminale. Il messaggio di errore è: "Errore sconosciuto: "" (E:Could not open file/var/lib/apt/lists/archive.ubuntu.comubuntudistsxenialmaini18nTranslation-it-open (13:Permission denied))". Di solito questo significa che i pacchetti installati presentano delle dipendenze irrisolte." Come posso risolvere questo problema? Dopo essere accaduto ciò ogni volta che provo ad aprire l'applicazione "Aggiornamenti software", questo si chiude subito e spunta una finestra che comunica: "L'applicazione "Software updater" si è chiuso inaspettatamente". Ho provato a dare i comandi sudo apt-get clean, sudo apt-get update e sudo apt-get upgrade uno dopo l'altro, ma non mi rileva nulla di particolare e non cambia nulla, dice solo di: "aver generato l'albero delle dipendenze", ma non risolve nulla. Dopodiché andando su impostazioni di sistema->software e aggiornamenti->driver aggiuntivi mi spunta "Si è è verificato un errore durante la ricerca dei driver", questo è accaduto dopo che ho cambiato driver da proprietario (Nvidia GTX 950M) a open source e viceversa, ma il problema non è dovuto a questo ma al continuo crash del software updater. Ho dato come comando da terminale sudo apt-get autoremove ma non è servito a nulla. Questo è il problema principale. Un problema secondario dovuto ai driver della scheda video (sia proprietari che open source: ho provato con entrambi) è che quando ad esempio guardo un film o un video su Youtube e vi sono "scene ad alto movimento" (ad esempio cambi velocissimi di immagini o combattimenti veloci), nello schermo appaiono per brevissimi istanti linee rette orizzontali di taglio dove vi sono queste scene, come se laggasse per un brevissimo istante (questo non accade con windows dove tutto si vede fluidissimo). Credo quasi sicuramente che si tratti di un problema di driver. Potete aiutarmi, darmi qualche consiglio? Grazie per il vostro tempo!! :)

chiesto 04 Lug '16, 16:35

Ferrarifxx96's gravatar image

Ferrarifxx96
2023

Un problema per domanda, che sennò facciamo casino. Qui continuiamo quella sugli aggiornamenti, per la scheda video aprine un altra.

Posta su pastebin gli output completi dei seguenti comandi e metti qui il link

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
ls /etc/apt/sources.list.d
(04 Lug '16, 20:36) dadexix86 ♦♦ dadexix86's gravatar image

http://pastebin.com/eDMMtnL5 Grazie per l'aiuto. Ho risolto comunque il problema della scheda video reinstallando ubuntu 16.04 e lasciando i driver open source. Per il software updater si è riproposto lo stesso problema, crasha in continuazione. Nel link sovrastante ho publlicato l'output dei comandi.

(06 Lug '16, 13:34) Ferrarifxx96 Ferrarifxx96's gravatar image

Non sembra ci siano problemi di alcun genere coi pacchetti. Però vedo che hai dei repository esterni, potrebbero essere loro la causa del problema con il programma.

Quali pacchetti e librerie hai installato/aggiornato tramite quei repository esterni?

(06 Lug '16, 13:50) dadexix86 ♦♦ dadexix86's gravatar image

Ho installato i plugin fossfreedom per rhythmbox; ho installato delle librerie a 32 bit per far partire un applicazione digitando questi comandi: $ sudo apt-get install libevent-pthreads-2.0.5 $ sudo apt-get install libopenal1 ; ho installato linrunner tlp per fornire un risparmio energetico a ubuntu e altri 2 che ho rimosso da "altro software" in "software e aggiornamenti".

(06 Lug '16, 14:19) Ferrarifxx96 Ferrarifxx96's gravatar image

Come posso rimuovere definitivamente questi PPA con i relativi pacchetti e librerie installate: ubuntuhandbook1-ubuntu-apps-xenial.list ubuntuhandbook1-ubuntu-apps-xenial.list.save webupd8team-ubuntu-unstable-xenial.list webupd8team-ubuntu-unstable-xenial.list.save ?

(06 Lug '16, 14:19) Ferrarifxx96 Ferrarifxx96's gravatar image

La cosa migliore è che reinstalli e eviti di installare e aggiungere repository esterni. Se non puoi farlo, puoi provare a cercare in Synaptic i pacchetti che provengono da quei repo, rimuoverli o retrocederli alle versioni presenti nei repo di ubuntu e infine rimuovere l'elenco dei repository da Sorgenti Software. Solo rimuovere da Sorgenti Software non ti fa disinstallare o retrocedere i pacchetti!

Mi raccomando, procedi con cautela che i rischi di far casini e trovarsi a disinstallare mezzo sistema sono altissimi quando si pasticcia con i repository esterni.

(06 Lug '16, 14:26) dadexix86 ♦♦ dadexix86's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×165
×128
×52
×32
×4

domanda posta: 04 Lug '16, 16:35

domanda visualizzata: 518 volte

ultimo aggiornamento: 06 Lug '16, 14:26

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.